<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use App\Models\Family;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call([usuariosIniciales::class]);
        $this->call([suppliersSeeder::class]);
        $this->call([ClientsSeeder::class]);
        $this->call([MachinesSeeder::class]);
        $this->call([FamilySeeder::class]);
        $this->call([SupplySeeder::class]);
        $this->call([UnitsSeeder::class]);
        $this->call([MaterialsSeeder::class]);
        $this->call([TypesSeeder::class]);
    }
}
